%define upstream_name    Data-Denter
%define upstream_version 0.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    An alternative to Data::Dumper and Storable
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(YAML)
BuildArch: noarch


%description
The main problem with Data::Dumper (one of my all-time favorite modules) is
that you have to use 'eval()' to deserialize the data you've dumped. This
is great if you can trust the data you're evaling, but horrible if you
can't. A good alternative is Storable.pm. It can safely thaw your frozen
data. But if you want to read/edit the frozen data, you're out of luck,
because Storable uses a binary format. Even Data::Dumper's output can be a
little cumbersome for larger data objects.

Enter Data::Denter.

Data::Denter is yet another Perl data serializer/deserializer. It formats
nested data structures in an indented fashion. It is optimized for human
readability/editability, safe deserialization, and (eventually) speed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.150.0-9.mga8
+ Revision: 1493640
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.150.0-8.mga7
+ Revision: 1266833
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.150.0-7.mga6
+ Revision: 1024793
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 0.150.0-6.mga6
+ Revision: 930683
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.150.0-5.mga5
+ Revision: 748999
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.150.0-4.mga5
+ Revision: 684191
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.150.0-3.mga4
+ Revision: 510594
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.150.0-2.mga3
+ Revision: 365268
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.150.0-1.mga1
+ Revision: 26262
- no meta.yml
- mageia rebuild
- imported package perl-Data-Denter

